Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Interface TIDManager

All Known Implementing Classes:
  FileTIDManagerImpl

    public interface TIDManager

An interface to define the methods required by a SAP tRFC TID manager for inbound and outbound transaction from and to SAP, respectively.

Version:
  $Revision: 1.2 $
Author:
  Rajesh Dhingra

Field Summary
`static int` | `EID_SIZE` IQ Event ID length.
`static int` | `TID_SIZE` SAP's tRFC TID length: 24

Method Summary
`void` | `confirmTID()` Confirms the oldest TID in SAP's database.
`java.lang.String` | `createTID(java.lang.String eid)` Creates a TID (using SAP's method) and stores it persistently, marking it as reserved (R).
`com.stc.connector.management.util.ObjectReference` | `getMonitor()` Gets the mbean object for alerts
`boolean` | `onCheckTID(java.lang.String tid)` Checks if the TID has been reserved (R) or committed (C).
`void` | `onCommit(java.lang.String tid)` Commits the TID into the persistent database.
`void` | `onConfirmTID(java.lang.String tid)` Confirms the TID in the persistent database.
`void` | `onRollback(java.lang.String tid)` Rollbacks the TID from the persistent database (marks it as unprocessed, U).
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)` Sets the mbean object for alerts

Field Detail

### TID_SIZE

    static final int TID_SIZE

  SAP's tRFC TID length: 24

  See Also:
    Constant Field Values

### EID_SIZE

    static final int EID_SIZE

  IQ Event ID length. --- |----38----||-----38-------||----10---|1|---10----|1|---10---|1|----23------| = 132

  See Also:
    Constant Field Values

Method Detail

### onCheckTID

    boolean onCheckTID(java.lang.String tid)

  Checks if the TID has been reserved (R) or committed (C). It not, the TID will be stored persistently and marked as reserved (R).

  Parameters:
    `tid` - The incoming tRFC Transaction ID (TID).
  Returns:
    `true` if TID has not been reserved or committed; `false` otherwise.

### onCommit

    void onCommit(java.lang.String tid)

  Commits the TID into the persistent database.

  Parameters:
    `tid` - The TID to commit.

### onConfirmTID

    void onConfirmTID(java.lang.String tid)

  Confirms the TID in the persistent database. From SAP's standpoint, this means the TID can be removed from the database, since it will never be sent again by SAP.

  Parameters:
    `tid` - The TID to confirm.

### onRollback

    void onRollback(java.lang.String tid)

  Rollbacks the TID from the persistent database (marks it as unprocessed, U).

  Parameters:
    `tid` - The TID to confirm.

### createTID

    java.lang.String createTID(java.lang.String eid)

  Creates a TID (using SAP's method) and stores it persistently, marking it as reserved (R).

  Parameters:
    `eid` - The eid for which a tid will be created.
  Returns:
    the TID created for the given eid

### confirmTID

    void confirmTID()

  Confirms the oldest TID in SAP's database. SAP will then remove the TID from its tracking since e*Gate is basically guaranteeing that the TID will never be sent again. Always confirm the earliest tid

### setMonitor

    void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

  Sets the mbean object for alerts

  Parameters:
    `mbean` - The mbean object.

### getMonitor

    com.stc.connector.management.util.ObjectReference getMonitor()

  Gets the mbean object for alerts

  Returns:
    the mbean object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD